# Fetch Token Returns an OAuth 2.0 access token and related metadata. Tokens should be used in subsequent requests to Optoro APIs. Endpoint: POST /oauth/token Version: 1.0.0 ## Request fields (application/json): - `grant_type` (string, required) The name of the OAuth flow used to create a token. Use 'client_credentials'. - `client_id` (string, required) Identifier used to authenticate. Obtained from Optoro's Client Success team. - `client_secret` (string, required) Secret used to authenticate. Obtained from Optoro's Client Success team. ## Response 200 fields (application/json): - `access_token` (string) A token that can be used to authenticate with other Optoro APIs. - `token_type` (string) The access token type, always "Bearer". Enum: "Bearer" - `expires_in` (integer) Time in seconds after which the token will expire. - `scope` (string) Space-delimited set of scopes for which the token is valid. - `created_at` (integer) The creation time of the token in seconds since epoch. ## Response 401 fields (application/json): - `error` (string) Summary of the error that occurred while creating a token. - `error_description` (string) Details of the error that occurred while create a token. ## Response 400 fields ## Response 404 fields ## Response 422 fields ## Response 5XX fields